# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.threading
Class InReplyTo

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.threading.InReplyTo

All Implemented Interfaces:
  Extension

    public class InReplyTo

extends ExtensionPoint

Indicates that this entry is a response to another resource.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`InReplyTo()` Default mutable constructor.
`InReplyTo(java.lang.String href, java.lang.String ref, java.lang.String source, java.lang.String type)` Immutable constructor.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`boolean` `equals(java.lang.Object obj)`
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`java.lang.String` `getHref()` Returns the IRI that may be used to retrieve a representation of the resource being responded to.
`java.lang.String` `getRef()` Returns the persistent universally unique identifier of the resource being responded to.
`java.lang.String` `getSource()` Returns the IRI of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute.
`java.lang.String` `getType()` Returns the hint to the client about the media type of the resource identified by the "href" attribute.
`int` `hashCode()`
`boolean` `hasHref()` Returns whether it has the IRI that may be used to retrieve a representation of the resource being responded to.
`boolean` `hasRef()` Returns whether it has the persistent universally unique identifier of the resource being responded to.
`boolean` `hasSource()` Returns whether it has the IRI of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute.
`boolean` `hasType()` Returns whether it has the hint to the client about the media type of the resource identified by the "href" attribute.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setHref(java.lang.String href)` Sets the IRI that may be used to retrieve a representation of the resource being responded to.
`void` `setRef(java.lang.String ref)` Sets the persistent universally unique identifier of the resource being responded to.
`void` `setSource(java.lang.String source)` Sets the IRI of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute.
`void` `setType(java.lang.String type)` Sets the hint to the client about the media type of the resource identified by the "href" attribute.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InReplyTo

    public InReplyTo()

  Default mutable constructor.

### InReplyTo

    public InReplyTo(java.lang.String href,
                     java.lang.String ref,
                     java.lang.String source,
                     java.lang.String type)

  Immutable constructor.

  Parameters:
    `href` - IRI that may be used to retrieve a representation of the resource being responded to.
    `ref` - persistent universally unique identifier of the resource being responded to.
    `source` - IRI of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute.
    `type` - hint to the client about the media type of the resource identified by the "href" attribute.

Method Detail

### getHref

    public java.lang.String getHref()

  Returns the IRI that may be used to retrieve a representation of the resource being responded to.

  Returns:
    IRI that may be used to retrieve a representation of the resource being responded to

### setHref

    public void setHref(java.lang.String href)

  Sets the IRI that may be used to retrieve a representation of the resource being responded to.

  Parameters:
    `href` - IRI that may be used to retrieve a representation of the resource being responded to or `null` to reset

### hasHref

    public boolean hasHref()

  Returns whether it has the IRI that may be used to retrieve a representation of the resource being responded to.

  Returns:
    whether it has the IRI that may be used to retrieve a representation of the resource being responded to

### getRef

    public java.lang.String getRef()

  Returns the persistent universally unique identifier of the resource being responded to.

  Returns:
    persistent universally unique identifier of the resource being responded to

### setRef

    public void setRef(java.lang.String ref)

  Sets the persistent universally unique identifier of the resource being responded to.

  Parameters:
    `ref` - persistent universally unique identifier of the resource being responded to or `null` to reset

### hasRef

    public boolean hasRef()

  Returns whether it has the persistent universally unique identifier of the resource being responded to.

  Returns:
    whether it has the persistent universally unique identifier of the resource being responded to

### getSource

    public java.lang.String getSource()

  Returns the IRI of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute.

  Returns:
    IRI of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute

### setSource

    public void setSource(java.lang.String source)

  Sets the IRI of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute.

  Parameters:
    `source` - IRI of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute or `null` to reset

### hasSource

    public boolean hasSource()

  Returns whether it has the IRI of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute.

  Returns:
    whether it has the IRI of an Atom Feed or Entry Document containing an atom:entry with an atom:id value equal to the value of the "ref" attribute

### getType

    public java.lang.String getType()

  Returns the hint to the client about the media type of the resource identified by the "href" attribute.

  Returns:
    hint to the client about the media type of the resource identified by the "href" attribute

### setType

    public void setType(java.lang.String type)

  Sets the hint to the client about the media type of the resource identified by the "href" attribute.

  Parameters:
    `type` - hint to the client about the media type of the resource identified by the "href" attribute or `null` to reset

### hasType

    public boolean hasType()

  Returns whether it has the hint to the client about the media type of the resource identified by the "href" attribute.

  Returns:
    whether it has the hint to the client about the media type of the resource identified by the "href" attribute

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`